import re

class RomanNumeral:

  def __init__(self, value):
    if type(value) != str:
      raise ValueError()
    pattern = '^M?M?M$' # matches at least one M, optionally two or three Ms
    if re.search(pattern, value) is None:
      raise ValueError()
    self.val = value

  def value(self):
    result = 0
    for i in self.val:
      if i == "M":
        result += 1000
    return result
